/* eslint-disable react/jsx-indent-props */
/* eslint-disable react/no-unused-state */
/* eslint-disable jsx-quotes */
import { Component } from "react";
import Taro from "@tarojs/taro";
import { View, Image, Button,Swiper, SwiperItem } from "@tarojs/components";
import {  wechatOpenId } from '@/api/server'
import { goToPages, uShowToast } from "@/utils/index";
import "./index.scss";



export default class Index extends Component<
    any
> {
    constructor(props) {
        super(props);
        this.state = {

        };
    }
    componentDidMount() {
        Taro.hideHomeButton()
        var openId = Taro.getStorageSync('openId')
        if (!openId) {
            Taro.login({
                success: (res: any) => {
                    var jsonData = {
                        code: res.code
                    }
                    wechatOpenId(jsonData).then((res_open: any) => {
                        if (res_open.statusCode===200) {
                            Taro.setStorageSync("openId", res_open.data.openId) 
                            console.log("openId",res_open.data.openId);
                            goToPages('/pages/tray/index')
                        }else{
                            uShowToast('openId未获取,重新获取')
                        }
                    })
                }
            }) //重新登录
        }else{
            goToPages('/pages/tray/index',null,'reLaunch')
        }
    }
    componentDidShow() {

    }
    render() {
        return (

            <View className="container">
                <Swiper className="swiper-container" autoplay>
                    <SwiperItem className="SwiperItem">

                        <View className="bg-intro1"></View>
                        <View className="intro-page">
                             <Image src={'http://weigh-applet.oss-cn-beijing.aliyuncs.com/image/01.png'} mode="aspectFill" className="intro-image"></Image>
                            <View className="intro-content">欢迎来到海科机械！</View> 
                        </View>
                    </SwiperItem>
                    <SwiperItem className="SwiperItem">
                        <View className="bg-intro2"></View>
                        <View className="intro-page">
                           <Image src={'http://weigh-applet.oss-cn-beijing.aliyuncs.com/image/02.png'} mode='aspectFill' className="intro-image"></Image> 
                            <View className="intro-content">更多精彩你尽情探索吧！</View>
                        </View>
                    </SwiperItem>
                </Swiper>
                <Button className="btn-skip" onClick={() => {
                    goToPages('/pages/tray/index',null,'redirectTo')
                }}
                >跳过</Button>
            </View>


        );
    }
}
